use tokio::time;

#[tokio::main]
async fn main()
{
    for i in 1..=3
    {
        println!("#{} START TO GET MESSAGE", i);

        let message : String = get_message_async(i).await;

        println!("{}", message);
    }
}

async fn get_message_async(value : i32) -> String
{
    time::sleep(time::Duration::from_secs(1)).await;

    return String::from(format!("MESSAGE {}", value));
}